Loading...
Searching...
No Matches
pcl::registration::TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar >::Functor< _Scalar, NX, NY > Struct Template Reference

Base functor all the models that need non linear optimization must define their own one and implement operator() (const Eigen::VectorXd& x, Eigen::VectorXd& fvec) or operator() (const Eigen::VectorXf& x, Eigen::VectorXf& fvec) depending on the chosen _Scalar. More...

`#include <pcl/registration/transformation_estimation_point_to_plane_weighted.h>`

## Public Types

enum | { InputsAtCompileTime = NX , ValuesAtCompileTime = NY }
using | Scalar = _Scalar
using | InputType = Eigen::Matrix< _Scalar, InputsAtCompileTime, 1 >
using | ValueType = Eigen::Matrix< _Scalar, ValuesAtCompileTime, 1 >
using | JacobianType = Eigen::Matrix< _Scalar, ValuesAtCompileTime, InputsAtCompileTime >

## Public Member Functions

| Functor ()
| Empty Constructor.
| Functor (int m_data_points)
| Constructor.
virtual | ~Functor ()=default
| Destructor.
int | values () const
| Get the number of values.

## Protected Attributes

int | m_data_points_

## Detailed Description

template<typename PointSource, typename PointTarget, typename MatScalar = float>
template<typename _Scalar, int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>
struct pcl::registration::TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar >::Functor< _Scalar, NX, NY >

Base functor all the models that need non linear optimization must define their own one and implement operator() (const Eigen::VectorXd& x, Eigen::VectorXd& fvec) or operator() (const Eigen::VectorXf& x, Eigen::VectorXf& fvec) depending on the chosen _Scalar.

Definition at line 226 of file transformation_estimation_point_to_plane_weighted.h.

## Member Typedef Documentation

## InputType

template<typename PointSource , typename PointTarget , typename MatScalar = float>
template<typename _Scalar , int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>

using pcl::registration::TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar >::Functor< _Scalar, NX, NY >::InputType = Eigen::Matrix<_Scalar, InputsAtCompileTime, 1>

Definition at line 229 of file transformation_estimation_point_to_plane_weighted.h.

## JacobianType

template<typename PointSource , typename PointTarget , typename MatScalar = float>
template<typename _Scalar , int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>

using pcl::registration::TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar >::Functor< _Scalar, NX, NY >::JacobianType = Eigen::Matrix<_Scalar, ValuesAtCompileTime, InputsAtCompileTime>

Definition at line 231 of file transformation_estimation_point_to_plane_weighted.h.

## Scalar

template<typename PointSource , typename PointTarget , typename MatScalar = float>
template<typename _Scalar , int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>

using pcl::registration::TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar >::Functor< _Scalar, NX, NY >::Scalar = _Scalar

Definition at line 227 of file transformation_estimation_point_to_plane_weighted.h.

## ValueType

template<typename PointSource , typename PointTarget , typename MatScalar = float>
template<typename _Scalar , int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>

using pcl::registration::TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar >::Functor< _Scalar, NX, NY >::ValueType = Eigen::Matrix<_Scalar, ValuesAtCompileTime, 1>

Definition at line 230 of file transformation_estimation_point_to_plane_weighted.h.

## Member Enumeration Documentation

## anonymous enum

template<typename PointSource , typename PointTarget , typename MatScalar = float>
template<typename _Scalar , int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>

anonymous enum

Enumerator
InputsAtCompileTime |
ValuesAtCompileTime |

Definition at line 228 of file transformation_estimation_point_to_plane_weighted.h.

## Constructor & Destructor Documentation

## Functor() [1/2]

template<typename PointSource , typename PointTarget , typename MatScalar = float>
template<typename _Scalar , int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>

pcl::registration::TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar >::Functor< _Scalar, NX, NY >::Functor | ( |  | ) |

inline

Empty Constructor.

Definition at line 235 of file transformation_estimation_point_to_plane_weighted.h.

## Functor() [2/2]

template<typename PointSource , typename PointTarget , typename MatScalar = float>
template<typename _Scalar , int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>

pcl::registration::TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar >::Functor< _Scalar, NX, NY >::Functor | ( | int | m_data_points | ) |

inline

Constructor.

Parameters

  [in] | m_data_points | number of data points to evaluate.

Definition at line 240 of file transformation_estimation_point_to_plane_weighted.h.

## ~Functor()

template<typename PointSource , typename PointTarget , typename MatScalar = float>
template<typename _Scalar , int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>

virtual pcl::registration::TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar >::Functor< _Scalar, NX, NY >::~Functor | ( |  | ) |

virtual default

Destructor.

## Member Function Documentation

## values()

template<typename PointSource , typename PointTarget , typename MatScalar = float>
template<typename _Scalar , int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>

int pcl::registration::TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar >::Functor< _Scalar, NX, NY >::values | ( |  | ) | const

inline

Get the number of values.

Definition at line 247 of file transformation_estimation_point_to_plane_weighted.h.

References pcl::registration::TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar >::Functor< _Scalar, NX, NY >::m_data_points_.

## Member Data Documentation

## m_data_points_

template<typename PointSource , typename PointTarget , typename MatScalar = float>
template<typename _Scalar , int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>

int pcl::registration::TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar >::Functor< _Scalar, NX, NY >::m_data_points_

protected

Definition at line 253 of file transformation_estimation_point_to_plane_weighted.h.

Referenced by pcl::registration::TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar >::Functor< _Scalar, NX, NY >::values().

The documentation for this struct was generated from the following file:

- pcl/registration/transformation_estimation_point_to_plane_weighted.h